import request from '@/sheep/request';
import {
	t
} from '@/locale';
const UserApi = {
  // 获得基本信息
  getUserInfo: () => {
    return request({
      url: '/member/user/get',
      method: 'GET',
      custom: {
        showLoading: false,
        auth: true,
      },
    });
  },
 
  // 修改基本信息
  updateUser: (data) => {
    return request({
      url: '/member/user/update',
      method: 'PUT',
      data,
      custom: {
        auth: true,
        showSuccess: true,
        successMsg: t('common.update_success')
      },
    });
  },
  updateUserAlipayAccount: (data) => {
    return request({
      url: '/member/user/updateByAlipayAccount',
      method: 'PUT',
      data,
      custom: {
        auth: true,
        showSuccess: true,
        successMsg: t('common.update_success')
      },
    });
  },
  updateUserBankAccount: (data) => {
    return request({
      url: '/member/user/updateByBankAccount',
      method: 'PUT',
      data,
      custom: {
        auth: true,
        showSuccess: true,
        successMsg: t('common.update_success')
      },
    });
  },
  // 修改用户手机
  updateUserMobile: (data) => {
    return request({
      url: '/member/user/update-mobile',
      method: 'PUT',
      data,
      custom: {
        loadingMsg: t('common.verifying'),
        showSuccess: true,
        successMsg: t('account.modification_successful')
      },
    });
  },
  // 基于微信小程序的授权码，修改用户手机
  updateUserMobileByWeixin: (code) => {
    return request({
      url: '/member/user/update-mobile-by-weixin',
      method: 'PUT',
      data: {
        code
      },
      custom: {
        showSuccess: true,
        loadingMsg: t('common.fetching'),
        successMsg: t('account.modification_successful')
      },
    });
  },
  // 修改密码
  updateUserPassword: (data) => {
    return request({
      url: '/member/user/update-password',
      method: 'PUT',
      data,
      custom: {
        loadingMsg: t('common.verifying'),
        showSuccess: true,
        successMsg: t('account.modification_successful')
      },
    });
  },
  // 重置密码
  resetUserPassword: (data) => {
    return request({
      url: '/member/user/reset-password',
      method: 'PUT',
      data,
      custom: {
        loadingMsg: t('common.verifying'),
        showSuccess: true,
        successMsg: t('account.modification_successful')
      }
    });
  },
  updatePayPassword: (data) => {
    return request({
      url: '/member/user/update-payPassword',
      method: 'PUT',
      data,
      custom: {
        showSuccess: true,
        successMsg: t('common.update_success')
      }
    });
  },
	// 更新安卓用户的极光id
	updateAndroidJiGuangId: (registerId) => {
	  return request({
	    url: '/member/user/addRegisterId?registerId='+registerId,
	    method: 'PUT',
	   
	    custom: {
	      showSuccess: false,
	    }
	  });
	},
};

export default UserApi;
