import sheep from '@/sheep';
import {
	computed
} from 'vue';

// 用户信息
const userInfo = computed(() => sheep.$store('user').userInfo);

/**
 * 判断内测资格
 * @return {boolean} 当前用户是否是内测用户
 */
export function isBetaUser() {
	const username = userInfo.value.username;
	return username === 'ru10' || username === '迷鹿' || username === '非繁' || username === 'ru10x';
}

/**
 * 判断是否安卓打开
 * @return { String } 是否是安卓打开
 */
export function isAndroid() {
	return window.Android && window.Android.getIdentifier();
}

/**
 * 拿到安卓极光id
 * @return { String } 是否是安卓打开
 */
export function getAndroidJiGuangId() {
	return window.Android && window.Android.getRegistrationID();
}